Echo Off
REM **********************************************
REM * File   : Install.bat
REM * Author : Stephen Williams
REM * Date   : Feb. 25, 1992
REM * Revised:
REM * Purpose: Installation OPPM Version 4.1
REM **********************************************
Echo Off
Cls
Echo                          OPPM Version 4.1 Installation
if "%1" == ""    goto help
if "%1" == "?"   goto help
if "%1" == "A:"  goto help
if "%1" == "a:"  goto help
if "%1" == "B:"  goto help
if "%1" == "b:"  goto help
if "%1" == "A"   goto FLOP
if "%1" == "a"   goto FLOP
if "%1" == "B"   goto FLOP
if "%1" == "b"   goto FLOP

for %%f in (C:,c:,D:,d:,E:,e:,F:,f:,G:,g:,H:,h:,Y:,y:)             do if %1.==%%f. goto Help
for %%f in (I:,i:,J:,j:,K:,k:,L:,l:,M:,m:,N:,n:,O:,o:,P:,p:,Z:,z:) do if %1.==%%f. goto Help
for %%f in (Q:,q:,R:,r:,S:,s:,T:,t:,U:,u:,V:,v:,W:,w:,X:,x:)       do if %1.==%%f. goto Help

REM **************************
REM HARD DISK INSTALLATION
REM **************************
if not exist %1:\nul goto help
CLS
Echo                   OPPM Version 4.1 Hard Disk Installation
Echo 
Echo
Echo                      Decompressing and Copying OPPM.EXE
Echo
OPPM41EX %1:\OPPM41
Echo
Echo               Decompressing and Copying Overlay and Help files
Echo
OPPM41OV %1:\OPPM41
Echo
Echo                    Decompressing and Copying Data Files
Echo
OPPM41DB %1:\OPPM41
%1:
CD %1:\OPPM41
Echo
Echo
Echo               OPPM Successfully Installed on %1:\OPPM41
Echo
Echo                      type OPPM to run program
goto End

REM **************************
REM Help For OPPM Installation
REM **************************
:Help
Cls
Echo                        OPPM Version 4.1 Installation Help
Echo 
Echo 
Echo 
Echo  Syntax For HARD DISK Install is   Install C    (No Colon Should Be Typed)
Echo                               or   Install D
Echo                               or   Install E
Echo                               etc.
Echo
Echo  Syntax For Floppy Disk Install is   Install B 3  (For 3 360k  disks)
Echo                                 or   Install B 2  (For 2 720k+ disks)
Echo 
Echo  Note: Installation of the OPPM System requires
Echo       approximately 600K bytes of free disk space
Echo 
Echo 
goto end

REM ************************************
REM FLOPPY DISK INSTALLATION
REM ************************************
:FLOP
if "%2" == ""    goto help
if "%2" == "?"   goto help
if "%2" == "2"   goto FLOP2
if "%2" == "3"   goto FLOP3
GOTO HELP

REM ************************************
REM FLOPPY DISK INSTALLATION 2
REM ************************************
:FLOP2
CLS
Echo                        OPPM Version 4.1 Installation
Echo                  for 720K or higher capacity floppy disks
Echo 
Echo 
Echo    NOTE: You should have 2 blank formatted floppy disks ready
Echo          Label the disks "OPPM Program" and "OPPM Data"
Echo 
Echo 
Echo  Insert the disk labeled "OPPM Program" in drive %1: (Press Ctrl-C to Cancel)
Echo 
Pause
Echo
Echo                      Decompressing and Copying OPPM.EXE
Echo
OPPM41EX %1:\
Echo
Echo               Decompressing and Copying Overlay and Help files
Echo
OPPM41OV %1:\
Echo 
Echo 
Echo  Insert the disk labeled "OPPM Data" in drive %1: (Press Ctrl-C to Cancel)
Echo 
Pause
Echo
Echo                    Decompressing and Copying Data Files
Echo
OPPM41DB %1:\
%1:
CD a:
Cls
Echo
Echo
Echo                       OPPM Successfully Installed
Echo
Echo  To run program place "OPPM Program" in Drive A: and "OPPM Data"
Echo  in drive B:  Type OPPM to start program.
goto End

REM ************************************
REM FLOPPY DISK INSTALLATION 3
REM ************************************
:FLOP3
CLS
Echo                        OPPM Version 4.1 Installation
Echo                          for 360K floppy disks
Echo 
Echo 
Echo    NOTE: You should have 3 blank formatted floppy disks ready
Echo          Label the disks "OPPM Program 1", "OPPM Program 2"
Echo           and "OPPM Data"
Echo 
Echo 
Echo  Insert the disk labeled "OPPM Program 1" in drive %1: (Press Ctrl-C to Cancel)
Echo 
Pause
Echo
Echo                      Decompressing and Copying OPPM.EXE
Echo
OPPM41EX %1:\
Echo 
Echo 
Echo  Insert the disk labeled "OPPM Program 2" in drive %1: (Press Ctrl-C to Cancel)
Echo 
Pause
Echo
Echo               Decompressing and Copying Overlay and Help files
Echo
OPPM41OV %1:\
Echo 
Echo 
Echo  Insert the disk labeled "OPPM Data" in drive %1: (Press Ctrl-C to Cancel)
Echo 
Pause
Echo
Echo                    Decompressing and Copying Data Files
Echo
OPPM41DB %1:\
%1:
CD a:
Echo
Echo
Echo                       OPPM Successfully Installed
Echo
Echo  To run program place "OPPM Program 1" in Drive A: and "OPPM Data"
Echo  in drive B:  Type OPPM to start program.
goto End

REM ************************
REM End Of OPPM Installation
REM ************************
:end
Echo 
Echo 
Echo *********************
Echo OPPM Installation End
Echo *********************
:bad_end
Echo 
Echo 
